package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.PayBankAccInf;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IPayBankAccInfService<br>
 * Description: PayBankAccInfService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IPayBankAccInfService extends IService<PayBankAccInf> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<PayBankAccInf>
     * @return IPage<PayBankAccInf>
     */
    IPage<PayBankAccInf> findPayBankAccInfs(QueryRequest request, LambdaQueryWrapper<PayBankAccInf> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<PayBankAccInf>
     * @return List<PayBankAccInf>
     */
    List<PayBankAccInf> findPayBankAccInfs(LambdaQueryWrapper<PayBankAccInf> wrapper);

    /**
     * 新增
     *
     * @param payBankAccInf payBankAccInf
     */
    void createPayBankAccInf(PayBankAccInf payBankAccInf);

    /**
     * 修改
     *
     * @param payBankAccInf payBankAccInf
     */
    void updatePayBankAccInf(PayBankAccInf payBankAccInf);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<PayBankAccInf>
     */
    void deletePayBankAccInf(LambdaQueryWrapper<PayBankAccInf> wrapper);
}
