package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.ZcFinanceFileRel;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IZcFinanceFileRelService<br>
 * Description: ZcFinanceFileRelService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-31  xuefy    由Generator自动创建
 */
public interface IZcFinanceFileRelService extends IService<ZcFinanceFileRel> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcFinanceFileRel>
     * @return IPage<ZcFinanceFileRel>
     */
    IPage<ZcFinanceFileRel> findZcFinanceFileRels(QueryRequest request, LambdaQueryWrapper<ZcFinanceFileRel> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceFileRel>
     * @return List<ZcFinanceFileRel>
     */
    List<ZcFinanceFileRel> findZcFinanceFileRels(LambdaQueryWrapper<ZcFinanceFileRel> wrapper);

    /**
     * 新增
     *
     * @param zcFinanceFileRel zcFinanceFileRel
     */
    void createZcFinanceFileRel(ZcFinanceFileRel zcFinanceFileRel);

    /**
     * 修改
     *
     * @param zcFinanceFileRel zcFinanceFileRel
     */
    void updateZcFinanceFileRel(ZcFinanceFileRel zcFinanceFileRel);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceFileRel>
     */
    void deleteZcFinanceFileRel(LambdaQueryWrapper<ZcFinanceFileRel> wrapper);
}
