package com.huyi.task.taskMan.service.impl;

import com.huyi.task.taskMan.mapper.FinanceTimedTaskMapper;
import com.huyi.task.taskMan.mapper.OwnTaskManMapper;
import com.huyi.task.taskMan.service.FinanceTimedTaskService;
import com.huyi.task.taskMan.service.IOwnTaskManService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 还款Service业务层处理
 * 
 * @author ch
 * @date 2021-09-06
 */
@Service
public class FinanceTimedTaskServiceImpl implements FinanceTimedTaskService
{
    @Autowired
    private FinanceTimedTaskMapper financeTimedTaskMapper;

    @Override
    public List<Map> selectFinanceInfList(Map map){
        return financeTimedTaskMapper.selectFinanceInfList(map);
    }

    @Override
    public List<Map> selectFinanceInfDetail(Map map){return financeTimedTaskMapper.selectFinanceInfDetail(map);}


}
