package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 往来账款发票关联表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_bill_file_rel")
public class ZcBillFileRel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 往来账款ID(zc_bill_inf.zbi_id)
     */
    @TableId("zbfr_bill_id")
    private String zbfrBillId;

    /**
     * 附件ID(zc_invoice_inf.pfi_file_id)
     */
    @TableField("zbfr_file_id")
    private String zbfrFileId;

    /**
     * 关联附件类型(0:合同附件, 1:物流附件, 2:其他附件)
     */
    @TableField("zbfr_type")
    private String zbfrType;


}
