package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.PubApprovalProcess;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IPubApprovalProcessService<br>
 * Description: PubApprovalProcessService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IPubApprovalProcessService extends IService<PubApprovalProcess> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<PubApprovalProcess>
     * @return IPage<PubApprovalProcess>
     */
    IPage<PubApprovalProcess> findPubApprovalProcesss(QueryRequest request, LambdaQueryWrapper<PubApprovalProcess> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<PubApprovalProcess>
     * @return List<PubApprovalProcess>
     */
    List<PubApprovalProcess> findPubApprovalProcesss(LambdaQueryWrapper<PubApprovalProcess> wrapper);

    /**
     * 新增
     *
     * @param pubApprovalProcess pubApprovalProcess
     */
    void createPubApprovalProcess(PubApprovalProcess pubApprovalProcess);

    /**
     * 修改
     *
     * @param pubApprovalProcess pubApprovalProcess
     */
    void updatePubApprovalProcess(PubApprovalProcess pubApprovalProcess);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<PubApprovalProcess>
     */
    void deletePubApprovalProcess(LambdaQueryWrapper<PubApprovalProcess> wrapper);
}
