package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.PubColumnSettingsInf;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IPubColumnSettingsInfService<br>
 * Description: PubColumnSettingsInfService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IPubColumnSettingsInfService extends IService<PubColumnSettingsInf> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<PubColumnSettingsInf>
     * @return IPage<PubColumnSettingsInf>
     */
    IPage<PubColumnSettingsInf> findPubColumnSettingsInfs(QueryRequest request, LambdaQueryWrapper<PubColumnSettingsInf> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<PubColumnSettingsInf>
     * @return List<PubColumnSettingsInf>
     */
    List<PubColumnSettingsInf> findPubColumnSettingsInfs(LambdaQueryWrapper<PubColumnSettingsInf> wrapper);

    /**
     * 新增
     *
     * @param pubColumnSettingsInf pubColumnSettingsInf
     */
    void createPubColumnSettingsInf(PubColumnSettingsInf pubColumnSettingsInf);

    /**
     * 修改
     *
     * @param pubColumnSettingsInf pubColumnSettingsInf
     */
    void updatePubColumnSettingsInf(PubColumnSettingsInf pubColumnSettingsInf);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<PubColumnSettingsInf>
     */
    void deletePubColumnSettingsInf(LambdaQueryWrapper<PubColumnSettingsInf> wrapper);
}
