package com.huyi.task.base.service;

import com.huyi.task.base.entity.SysNotice;

import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: ISysNoticeService<br>
 * Description: SysNoticeService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-09-08  xuefy    由Generator自动创建
 */
public interface ISysNoticeService extends IService<SysNotice> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<SysNotice>
     * @return IPage<SysNotice>
     */
    IPage<SysNotice> findSysNotices(QueryRequest request, LambdaQueryWrapper<SysNotice> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<SysNotice>
     * @return List<SysNotice>
     */
    List<SysNotice> findSysNotices(LambdaQueryWrapper<SysNotice> wrapper);

    /**
     * 新增
     *
     * @param sysNotice sysNotice
     */
    void createSysNotice(SysNotice sysNotice);

    /**
     * 修改
     *
     * @param sysNotice sysNotice
     */
    void updateSysNotice(SysNotice sysNotice);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<SysNotice>
     */
    void deleteSysNotice(LambdaQueryWrapper<SysNotice> wrapper);
}
