package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.ZcFinanceBillRel;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IZcFinanceBillRelService<br>
 * Description: ZcFinanceBillRelService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IZcFinanceBillRelService extends IService<ZcFinanceBillRel> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcFinanceBillRel>
     * @return IPage<ZcFinanceBillRel>
     */
    IPage<ZcFinanceBillRel> findZcFinanceBillRels(QueryRequest request, LambdaQueryWrapper<ZcFinanceBillRel> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceBillRel>
     * @return List<ZcFinanceBillRel>
     */
    List<ZcFinanceBillRel> findZcFinanceBillRels(LambdaQueryWrapper<ZcFinanceBillRel> wrapper);

    /**
     * 新增
     *
     * @param zcFinanceBillRel zcFinanceBillRel
     */
    void createZcFinanceBillRel(ZcFinanceBillRel zcFinanceBillRel);

    /**
     * 修改
     *
     * @param zcFinanceBillRel zcFinanceBillRel
     */
    void updateZcFinanceBillRel(ZcFinanceBillRel zcFinanceBillRel);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceBillRel>
     */
    void deleteZcFinanceBillRel(LambdaQueryWrapper<ZcFinanceBillRel> wrapper);
}
