package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.ZcFinanceInf;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IZcFinanceInfService<br>
 * Description: ZcFinanceInfService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IZcFinanceInfService extends IService<ZcFinanceInf> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcFinanceInf>
     * @return IPage<ZcFinanceInf>
     */
    IPage<ZcFinanceInf> findZcFinanceInfs(QueryRequest request, LambdaQueryWrapper<ZcFinanceInf> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceInf>
     * @return List<ZcFinanceInf>
     */
    List<ZcFinanceInf> findZcFinanceInfs(LambdaQueryWrapper<ZcFinanceInf> wrapper);

    /**
     * 新增
     *
     * @param zcFinanceInf zcFinanceInf
     */
    void createZcFinanceInf(ZcFinanceInf zcFinanceInf);

    /**
     * 修改
     *
     * @param zcFinanceInf zcFinanceInf
     */
    void updateZcFinanceInf(ZcFinanceInf zcFinanceInf);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceInf>
     */
    void deleteZcFinanceInf(LambdaQueryWrapper<ZcFinanceInf> wrapper);
}
